# Uses of Interface
org.eclipse.debug.core.ILaunchManager

Packages that use ILaunchManager
Package
Description
org.eclipse.debug.core
Provides support for launching programs, breakpoint management, expression management, and debug events.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.

## Uses of ILaunchManager in org.eclipse.debug.core

Methods in org.eclipse.debug.core that return ILaunchManager
Modifier and Type
Method
Description
`ILaunchManager`
DebugPlugin.`getLaunchManager()`
Returns the launch manager.
`protected ILaunchManager`
Launch.`getLaunchManager()`
Returns the launch manager.

## Uses of ILaunchManager in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return ILaunchManager
Modifier and Type
Method
Description
`protected ILaunchManager`
AbstractLaunchConfigurationTab.`getLaunchManager()`
Convenience method to return the launch manager.

## Uses of ILaunchManager in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions that return ILaunchManager
Modifier and Type
Method
Description
`protected ILaunchManager`
ContextualLaunchAction.`getLaunchManager()`
Returns the launch manager